Autor Tema: Vulnerabilidad en función syscall() del kernel Linux  (Leído 694 veces)

Desconectado Danae

  • Administrator
  • *
  • Mensajes: 3198
  • Casi siempre en el armario.
    • windowsfacil,  primeros pasos con windows y el pc
Vulnerabilidad en función syscall() del kernel Linux
« en: 29 de Junio de 2005, 07:55:22 pm »
Vulnerabilidad en función syscall() del kernel Linux

Apenas han transcurrido unos días desde la aparición de dos problemas de seguridad vinculados al kernel Linux en su rama 2.6, cuando, nuevamente, la citada rama es protagonista de un fallo de seguridad, de carácter más leve, pero que podría ser aprovechada por usuarios locales maliciosos para provocar ataques de denegación de servicio en las máquinas  vulnerables.

Esta posible explotación maliciosa está fundamentada en un error de diseño de "fault.c" que podría hacer que el núcleo colisionara cuando intenta gestionar argumentos intencionadamente preparados procedentes  de la función "syscall()".

La función syscall() del núcleo Linux se encarga de hacer llamadas al sistema, y es el mecanismo que emplean las aplicaciones para solicitar servicio del sistema operativo, lo que permite entre otras cosas, que  el sistema pueda realizar operaciones restringidas a la hora de acceder  a dispositivos, memoria, etc.

El fallo documentado se produce únicamente en plataformas AMD64 corriendo en el modo de compatibilidad de 32-bit, de ahí que la criticidad del problema sea baja, teniendo en cuenta las condiciones de contorno necesarias para que se presente el problema, bastante poco frecuentes.

A falta de que se publique una solución específica para la falla descrita, algunas distribuciones como Ubuntu Linux (fuente de donde procede el aviso original) han informado de los paquetes afectados y de los requisitos para la resolución del problema. La referencia CVECAN-2005-1765, asignada al problema, sigue en revisión.

Mas información:
Linux Kernel "syscall()" Argument Handling Denial of Service
http://secunia.com/advisories/15812/
USN-143-1: Linux amd64 kernel vulnerabilities
http://www.ubuntulinux.org/support/documentation/usn/usn-143-1

Publicado en: http://www.hispasec.com/

 

Aviso Legal | Política de Privacidad | Política de Cookies

el contenido de la web se rige bajo licencia
Creative Commons License